summarylogtreecommitdiffstats
path: root/loadrenew.sh
diff options
context:
space:
mode:
authorJan Hicken2016-06-22 16:26:45 +0200
committerJan Hicken2016-06-22 16:26:45 +0200
commite6813436f7db1de9e251e8311759e83af03c5bc5 (patch)
treeeecca4758483378d5ff03251490986e435e7af81 /loadrenew.sh
downloadaur-e6813436f7db1de9e251e8311759e83af03c5bc5.tar.gz
Initial commit.
Diffstat (limited to 'loadrenew.sh')
-rw-r--r--loadrenew.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/loadrenew.sh b/loadrenew.sh
new file mode 100644
index 000000000000..0fce1def6918
--- /dev/null
+++ b/loadrenew.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+shopt -s globstar
+
+RENEW_HOME=/usr/share/java/renew
+DRAWING_LOAD_CLIENT=CH.ifa.draw.application.DrawingLoadClient
+
+printf -v CLASSPATH '%s:' $RENEW_HOME/**/*.jar
+export CLASSPATH
+
+java $DRAWING_LOAD_CLIENT $@
+if [[ $? -gt 0 ]]; then
+ exec renew $@
+fi